## pass-otp 1.1.0

=== Makefile ===
PROG ?= otp
PREFIX ?= /usr
DESTDIR ?=
LIBDIR ?= $(PREFIX)/lib
SYSTEM_EXTENSION_DIR ?= $(LIBDIR)/password-store/extensions
MANDIR ?= $(PREFIX)/share/man

all:
	@echo "pass-$(PROG) is a shell script and does not need compilation, it can be simply executed."
	@echo ""
	@echo "To install it try \"make install\" instead."
	@echo
	@echo "To run pass $(PROG) one needs to have some tools installed on the system:"
	@echo "     password store"

install:
	@install -v -d "$(DESTDIR)$(MANDIR)/man1" && install -m 0644 -v pass-$(PROG).1 "$(DESTDIR)$(MANDIR)/man1/pass-$(PROG).1"
	@install -v -d "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/"
	@install -v -m0755 $(PROG).bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/$(PROG).bash"
	@echo
	@echo "pass-$(PROG) is installed succesfully"
	@echo

uninstall:
	@rm -vrf \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/$(PROG).bash" \
		"$(DESTDIR)$(MANDIR)/man1/pass-$(PROG).1"

lint:
	shellcheck -s bash $(PROG).bash

test:
	$(MAKE) -C test

.PHONY: install uninstall lint test

=== test/Makefile ===
# Run tests
#
# Copyright (c) 2011-2012 Mathias Lafeldt
# Copyright (c) 2005-2012 Git project
# Copyright (c) 2005-2012 Junio C Hamano
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/ .

SHELL := /bin/bash
SHELL_PATH ?= $(SHELL)
SHELL_PATH_SQ = $(subst ','\'',$(SHELL_PATH))
RM ?= rm -f
PROVE ?= prove
AGGREGATE_SCRIPT ?= aggregate-results.sh
DEFAULT_TEST_TARGET ?= test

T = $(sort $(wildcard *.t))

all: $(DEFAULT_TEST_TARGET)

test: pre-clean
	$(MAKE) aggregate-results-and-cleanup

prove: pre-clean
	@echo "*** prove ***"; $(PROVE) --exec '$(SHELL_PATH_SQ)' $(PROVE_OPTS) $(T) :: $(TEST_OPTS)
	$(MAKE) clean-except-prove-cache

$(T):
	@echo "*** $@ ***"; '$(SHELL_PATH_SQ)' $@ $(TEST_OPTS)

pre-clean:
	$(RM) -r test-results

clean-except-prove-cache:
	$(RM) -r 'trash directory'.* test-results

clean: clean-except-prove-cache
	$(RM) .prove
	$(RM) gnupg/random_seed

aggregate-results-and-cleanup: $(T)
	$(MAKE) aggregate-results
	$(MAKE) clean

aggregate-results:
	for f in test-results/*.counts; do \
		echo "$$f"; \
	done | '$(SHELL_PATH_SQ)' '$(AGGREGATE_SCRIPT)'

.PHONY: all test prove $(T) pre-clean clean
.PHONY: aggregate-results-and-cleanup aggregate-results

=== debian/changelog ===
pass-otp (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #891034)

 -- Philip Rinn <rinni@inventati.org>  Mon, 05 Mar 2018 16:22:53 +0100

=== debian/control ===
Source: pass-otp
Section: admin
Priority: optional
Maintainer: Philip Rinn <rinni@inventati.org>
Build-Depends:
 debhelper (>= 11),
 expect,
 git,
 oathtool,
 pass (>= 1.7.0)
Standards-Version: 4.1.3
Homepage: https://github.com/tadfisher/pass-otp

Package: pass-extension-otp
Architecture: all
Depends: ${misc:Depends}, pass (>= 1.7.0)
Recommends: oathtool, qrencode
Suggests: zbar-tools
Description: pass extension for managing one-time-password tokens
 An extension for the password manager pass that allows adding one-time-password
 (OTP) secrets, generating OTP codes, and displaying secret key URIs using the
 standard otpauth:// scheme.

## pass-otp 1.1.1

=== debian/changelog ===
pass-otp (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Wed, 04 Jul 2018 18:18:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  git,
  oathtool,
  pass (>= 1.7.0)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/tadfisher/pass-otp
 
 Package: pass-extension-otp

## pass-otp 1.2.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 LIBDIR ?= $(PREFIX)/lib
 SYSTEM_EXTENSION_DIR ?= $(LIBDIR)/password-store/extensions
 MANDIR ?= $(PREFIX)/share/man
+BASHCOMPDIR ?= /etc/bash_completion.d
 
 all:
 	@echo "pass-$(PROG) is a shell script and does not need compilation, it can be simply executed."
@@ -17,6 +18,8 @@
 	@install -v -d "$(DESTDIR)$(MANDIR)/man1" && install -m 0644 -v pass-$(PROG).1 "$(DESTDIR)$(MANDIR)/man1/pass-$(PROG).1"
 	@install -v -d "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/"
 	@install -v -m0755 $(PROG).bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/$(PROG).bash"
+	@install -v -d "$(DESTDIR)$(BASHCOMPDIR)/"
+	@install -v -m 644 pass-otp.bash.completion  "$(DESTDIR)$(BASHCOMPDIR)/pass-otp"
 	@echo
 	@echo "pass-$(PROG) is installed succesfully"
 	@echo
@@ -25,9 +28,11 @@
 	@rm -vrf \
 		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/$(PROG).bash" \
 		"$(DESTDIR)$(MANDIR)/man1/pass-$(PROG).1"
+		"$(DESTDIR)$(BASHCOMPDIR)/pass-otp"
 
 lint:
 	shellcheck -s bash $(PROG).bash
+	$(MAKE) -C test lint
 
 test:
 	$(MAKE) -C test

=== test/Makefile ===
--- 
+++ 
@@ -29,6 +29,9 @@
 
 all: $(DEFAULT_TEST_TARGET)
 
+debug: pre-clean
+	TEST_OPTS="-v" $(MAKE) aggregate-results-and-cleanup
+
 test: pre-clean
 	$(MAKE) aggregate-results-and-cleanup
 
@@ -49,14 +52,17 @@
 	$(RM) .prove
 	$(RM) gnupg/random_seed
 
-aggregate-results-and-cleanup: $(T)
+aggregate-results-and-cleanup:
 	$(MAKE) aggregate-results
 	$(MAKE) clean
 
-aggregate-results:
+aggregate-results: $(T)
 	for f in test-results/*.counts; do \
 		echo "$$f"; \
 	done | '$(SHELL_PATH_SQ)' '$(AGGREGATE_SCRIPT)'
 
-.PHONY: all test prove $(T) pre-clean clean
+lint:
+	shellcheck -s bash setup.sh
+
+.PHONY: all debug test prove $(T) pre-clean clean lint
 .PHONY: aggregate-results-and-cleanup aggregate-results

=== debian/changelog ===
pass-otp (1.2.0-10) unstable; urgency=medium

  * Document the URI format in man page (closes: #1054296)
    - Thanks for the patch, Salvo Tomaselli
  * Send secrets to oathtool via stdin instead of arguments (closes: #1060117)
    - Thanks for the patches Paul Wise

 -- Philip Rinn <rinni@debian.org>  Sun, 28 Jan 2024 11:08:12 +0100

pass-otp (1.2.0-9) unstable; urgency=medium

  * Fix broken HOTP counter updating with bash 5.2 (closes: #1053985)

 -- Philip Rinn <rinni@debian.org>  Tue, 17 Oct 2023 17:59:48 +0200

pass-otp (1.2.0-8) unstable; urgency=medium

  * Fix 'clean' target (closes: #1048382)

 -- Philip Rinn <rinni@debian.org>  Tue, 15 Aug 2023 17:58:16 +0200

pass-otp (1.2.0-7) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes necessary)
  * Update d/watch file to cope with changed github.com API

 -- Philip Rinn <rinni@debian.org>  Sat, 24 Dec 2022 16:21:58 +0100

pass-otp (1.2.0-6) unstable; urgency=medium

  * Spell 'Breaks' correctly in d/control (closes: #1018812
  * Mark tests depend on bash
  * Mark two tests failing due to bash 5.2~rc2

 -- Philip Rinn <rinni@debian.org>  Mon, 05 Sep 2022 20:22:12 +0200

pass-otp (1.2.0-5) unstable; urgency=medium

  * Add transitional package to ensure a smooth upgrade path

 -- Philip Rinn <rinni@debian.org>  Mon, 15 Aug 2022 19:00:59 +0200

pass-otp (1.2.0-4) unstable; urgency=medium

  * Source-only upload to allow migration to testing

 -- Philip Rinn <rinni@debian.org>  Fri, 12 Aug 2022 12:06:47 +0200

pass-otp (1.2.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1 (no changes necessary)
  * Use autopkgtest
  * Add lintian override for spare-manual-page
  * Rename binary package to reflect upstreams name

 -- Philip Rinn <rinni@debian.org>  Thu, 11 Aug 2022 11:32:04 +0200

pass-otp (1.2.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1 (no changes necessary)
  * Bump debhelper compat level to 13 (no changes necessary)
  * Update upstreams signature key
  * Move packaging to Debian group on salsa.debian.org

 -- Philip Rinn <rinni@inventati.org>  Mon, 21 Dec 2020 16:59:54 +0100

pass-otp (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1 (no changes necessary)
  * Remove unnecessary signatures from upstreams signing key

 -- Philip Rinn <rinni@inventati.org>  Wed, 21 Nov 2018 19:25:44 +0100

=== debian/control ===
Source: pass-otp
Section: admin
Priority: optional
Maintainer: Philip Rinn <rinni@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 expect,
 git,
 oathtool,
 pass (>= 1.7.0),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/tadfisher/pass-otp
Vcs-Browser: https://salsa.debian.org/debian/pass-otp
Vcs-Git: https://salsa.debian.org/debian/pass-otp.git

Package: pass-otp
Architecture: all
Depends:
 ${misc:Depends},
 pass (>= 1.7.0),
Recommends:
 oathtool,
 qrencode,
Suggests:
 zbar-tools,
Replaces: pass-extension-otp (<< 1.2.0-5~)
Breaks: pass-extension-otp (<< 1.2.0-5~)
Description: pass extension for managing one-time-password tokens
 An extension for the password manager pass that allows adding one-time-password
 (OTP) secrets, generating OTP codes, and displaying secret key URIs using the
 standard otpauth:// scheme.

Package: pass-extension-otp
Architecture: all
Section: oldlibs
Depends: pass-otp, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/tests/control ===
Test-Command: make test
Depends: pass, git, oathtool, expect, bash, @

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/.+\/v?(\d\S*)\/@PACKAGE@-\d\S*\.tar\.gz/@PACKAGE@-$1\.tar\.gz/,\
pgpsigurlmangle=s/(\d\S*)\.tar\.gz/$1\.tar\.gz\.asc/ \
  https://api.github.com/repos/tadfisher/pass-otp/releases \
  https://github\.com/[^/]+/[^/]+/releases/download/v?([^"]+)/@PACKAGE@-[^"]+\.tar\.gz
